#!/bin/bash
#
source /etc/profile
#从服务中心下线
curl -X POST 'http://localhost:8016/actuator/service-registry?status=DOWN' -H 'cache-control: no-cache' -H 'content-type: application/json' -d '{}'
sleep 60
#从nacos里踢除服务
curl -X POST 'http://localhost:8016/actuator/shutdown' -H 'cache-control: no-cache'
sleep 5

sleep 15
# 获取PID
#pid=`ps -ef | grep [s]oa-vehicle-base-v0.0.1.jar | grep -v "soa-vehicle-base.sh" |grep -v "grep" | awk '{print $2}'`

# 查询进程是否存在
#ps aux | grep [s]oa-vehicle-base-v0.0.1.jar

# 如进程存在，则kill
#if [ $? -eq 0 ];then
#	kill -9 $pid
#fi
ps -ef | grep [s]oa-vehicle-base-v0.0.1.jar | grep -v "soa-vehicle-base.sh" |grep -v "grep" | awk '{print $2}'|xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f soa-vehicle-base-v0.0.1.jar ];then
	mv soa-vehicle-base-v0.0.1.jar ./backups/soa-vehicle-base-v0.0.1.jar-$(date +%F_%T)
fi

# jar包重命名
mv /data/TSP/soa-vehicle-base-v0.0.1.jar.1 /data/TSP/soa-vehicle-base-v0.0.1.jar
sleep 5

# 运行jar包
nohup java -Xms4g -Xmx4g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+UseG1GC -XX:G1HeapRegionSize=2 -XX:MaxGCPauseMillis=100 -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-vehicle-base.log  -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-vehicle-base-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27019:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-vehicle-base-v0.0.1.jar > /data/logs/soa-vehicle-base.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [s]oa-vehicle-base-v0.0.1.jar | grep -v "soa-vehicle-base.sh" |grep -v "grep" | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-vehicle.txt
	nohup java -Xms4g -Xmx4g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+UseG1GC -XX:G1HeapRegionSize=2 -XX:MaxGCPauseMillis=100 -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-vehicle-base.log  -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-vehicle-base-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27019:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-vehicle-base-v0.0.1.jar > /data/logs/soa-vehicle-base.log 2>&1 &
else 
	echo '正常'>/tmp/2-vehicle.txt
fi
cd
exit 0
